#include "mainwindow.h"
#include "dbio.h"
#include "brlcad/ConstDatabase.h"
#include <QApplication>


int
main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    MainWindow w;
    BRLCAD::ConstDatabase database;

    if (argc > 1) {
    	w.loadDatabase(argv[1]);
	} else {
    	w.setWindowTitle("BRLCAD-GUI");
	}

    w.show();

    return a.exec();
}
